Gentoo Archives: gentoo-commits

From: Mike Gilbert <floppym@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-apps/systemd/
Date: Tue, 18 Feb 2020 00:39:10
Message-Id: 1581986271.8b2eb4019758e4aaabf9b8d2b4dd2349c1446f38.floppym@gentoo
1 commit: 8b2eb4019758e4aaabf9b8d2b4dd2349c1446f38
2 Author: Mike Gilbert <floppym <AT> gentoo <DOT> org>
3 AuthorDate: Tue Feb 18 00:37:51 2020 +0000
4 Commit: Mike Gilbert <floppym <AT> gentoo <DOT> org>
5 CommitDate: Tue Feb 18 00:37:51 2020 +0000
6 URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8b2eb401
7
8 sys-apps/systemd: move stable keywords to 244.3
9
10 Closes: https://bugs.gentoo.org/710002
11 Signed-off-by: Mike Gilbert <floppym <AT> gentoo.org>
12
13 sys-apps/systemd/systemd-244.2.ebuild | 506 ----------------------------------
14 sys-apps/systemd/systemd-244.3.ebuild | 2 +-
15 2 files changed, 1 insertion(+), 507 deletions(-)
16
17 diff --git a/sys-apps/systemd/systemd-244.2.ebuild b/sys-apps/systemd/systemd-244.2.ebuild
18 deleted file mode 100644
19 index ba080d56bae..00000000000
20 --- a/sys-apps/systemd/systemd-244.2.ebuild
21 +++ /dev/null
22 @@ -1,506 +0,0 @@
23 -# Copyright 2011-2020 Gentoo Authors
24 -# Distributed under the terms of the GNU General Public License v2
25 -
26 -EAPI=7
27 -
28 -if [[ ${PV} == 9999 ]]; then
29 - EGIT_REPO_URI="https://github.com/systemd/systemd.git"
30 - inherit git-r3
31 -else
32 - if [[ ${PV} == *.* ]]; then
33 - MY_PN=systemd-stable
34 - else
35 - MY_PN=systemd
36 - fi
37 - MY_PV=${PV/_/-}
38 - MY_P=${MY_PN}-${MY_PV}
39 - S=${WORKDIR}/${MY_P}
40 - SRC_URI="https://github.com/systemd/${MY_PN}/archive/v${MY_PV}/${MY_P}.tar.gz"
41 - KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ia64 ~mips ~ppc ~ppc64 ~sparc x86"
42 -fi
43 -
44 -PYTHON_COMPAT=( python3_{6,7,8} )
45 -
46 -inherit bash-completion-r1 linux-info meson multilib-minimal ninja-utils pam python-any-r1 systemd toolchain-funcs udev usr-ldscript
47 -
48 -DESCRIPTION="System and service manager for Linux"
49 -HOMEPAGE="https://www.freedesktop.org/wiki/Software/systemd"
50 -
51 -LICENSE="GPL-2 LGPL-2.1 MIT public-domain"
52 -SLOT="0/2"
53 -IUSE="acl apparmor audit build cgroup-hybrid cryptsetup curl dns-over-tls elfutils +gcrypt gnuefi http idn importd +kmod +lz4 lzma nat pam pcre policykit qrcode +resolvconf +seccomp selinux split-usr static-libs +sysv-utils test vanilla xkb"
54 -
55 -REQUIRED_USE="importd? ( curl gcrypt lzma )"
56 -RESTRICT="!test? ( test )"
57 -
58 -MINKV="3.11"
59 -
60 -COMMON_DEPEND=">=sys-apps/util-linux-2.30:0=[${MULTILIB_USEDEP}]
61 - sys-libs/libcap:0=[${MULTILIB_USEDEP}]
62 - acl? ( sys-apps/acl:0= )
63 - apparmor? ( sys-libs/libapparmor:0= )
64 - audit? ( >=sys-process/audit-2:0= )
65 - cryptsetup? ( >=sys-fs/cryptsetup-2.0.1:0= )
66 - curl? ( net-misc/curl:0= )
67 - dns-over-tls? ( >=net-libs/gnutls-3.5.3:0= )
68 - elfutils? ( >=dev-libs/elfutils-0.158:0= )
69 - gcrypt? ( >=dev-libs/libgcrypt-1.4.5:0=[${MULTILIB_USEDEP}] )
70 - http? (
71 - >=net-libs/libmicrohttpd-0.9.33:0=[epoll(+)]
72 - >=net-libs/gnutls-3.1.4:0=
73 - )
74 - idn? ( net-dns/libidn2:= )
75 - importd? (
76 - app-arch/bzip2:0=
77 - sys-libs/zlib:0=
78 - )
79 - kmod? ( >=sys-apps/kmod-15:0= )
80 - lz4? ( >=app-arch/lz4-0_p131:0=[${MULTILIB_USEDEP}] )
81 - lzma? ( >=app-arch/xz-utils-5.0.5-r1:0=[${MULTILIB_USEDEP}] )
82 - nat? ( net-firewall/iptables:0= )
83 - pam? ( sys-libs/pam:=[${MULTILIB_USEDEP}] )
84 - pcre? ( dev-libs/libpcre2 )
85 - qrcode? ( media-gfx/qrencode:0= )
86 - seccomp? ( >=sys-libs/libseccomp-2.3.3:0= )
87 - selinux? ( sys-libs/libselinux:0= )
88 - xkb? ( >=x11-libs/libxkbcommon-0.4.1:0= )"
89 -
90 -# Newer linux-headers needed by ia64, bug #480218
91 -DEPEND="${COMMON_DEPEND}
92 - >=sys-kernel/linux-headers-${MINKV}
93 - gnuefi? ( >=sys-boot/gnu-efi-3.0.2 )
94 -"
95 -
96 -# baselayout-2.2 has /run
97 -RDEPEND="${COMMON_DEPEND}
98 - acct-group/adm
99 - acct-group/wheel
100 - acct-group/kmem
101 - acct-group/tty
102 - acct-group/utmp
103 - acct-group/audio
104 - acct-group/cdrom
105 - acct-group/dialout
106 - acct-group/disk
107 - acct-group/input
108 - acct-group/kvm
109 - acct-group/render
110 - acct-group/tape
111 - acct-group/video
112 - acct-group/systemd-journal
113 - acct-user/systemd-journal-remote
114 - acct-user/systemd-coredump
115 - acct-user/systemd-network
116 - acct-user/systemd-resolve
117 - acct-user/systemd-timesync
118 - >=sys-apps/baselayout-2.2
119 - selinux? ( sec-policy/selinux-base-policy[systemd] )
120 - sysv-utils? ( !sys-apps/sysvinit )
121 - !sysv-utils? ( sys-apps/sysvinit )
122 - resolvconf? ( !net-dns/openresolv )
123 - !build? ( || (
124 - sys-apps/util-linux[kill(-)]
125 - sys-process/procps[kill(+)]
126 - sys-apps/coreutils[kill(-)]
127 - ) )
128 - !sys-auth/nss-myhostname
129 - !sys-fs/eudev
130 - !sys-fs/udev
131 -"
132 -
133 -# sys-apps/dbus: the daemon only (+ build-time lib dep for tests)
134 -PDEPEND=">=sys-apps/dbus-1.9.8[systemd]
135 - >=sys-apps/hwids-20150417[udev]
136 - >=sys-fs/udev-init-scripts-25
137 - policykit? ( sys-auth/polkit )
138 - !vanilla? ( sys-apps/gentoo-systemd-integration )"
139 -
140 -BDEPEND="
141 - app-arch/xz-utils:0
142 - dev-util/gperf
143 - >=dev-util/meson-0.46
144 - >=dev-util/intltool-0.50
145 - >=sys-apps/coreutils-8.16
146 - sys-devel/m4
147 - virtual/pkgconfig[${MULTILIB_USEDEP}]
148 - test? ( sys-apps/dbus )
149 - app-text/docbook-xml-dtd:4.2
150 - app-text/docbook-xml-dtd:4.5
151 - app-text/docbook-xsl-stylesheets
152 - dev-libs/libxslt:0
153 - $(python_gen_any_dep 'dev-python/lxml[${PYTHON_USEDEP}]')
154 -"
155 -
156 -python_check_deps() {
157 - has_version -b "dev-python/lxml[${PYTHON_USEDEP}]"
158 -}
159 -
160 -pkg_pretend() {
161 - if [[ ${MERGE_TYPE} != buildonly ]]; then
162 - if use test && has pid-sandbox ${FEATURES}; then
163 - ewarn "Tests are known to fail with PID sandboxing enabled."
164 - ewarn "See https://bugs.gentoo.org/674458."
165 - fi
166 -
167 - local CONFIG_CHECK="~AUTOFS4_FS ~BLK_DEV_BSG ~CGROUPS
168 - ~CHECKPOINT_RESTORE ~DEVTMPFS ~EPOLL ~FANOTIFY ~FHANDLE
169 - ~INOTIFY_USER ~IPV6 ~NET ~NET_NS ~PROC_FS ~SIGNALFD ~SYSFS
170 - ~TIMERFD ~TMPFS_XATTR ~UNIX
171 - ~CRYPTO_HMAC ~CRYPTO_SHA256 ~CRYPTO_USER_API_HASH
172 - ~!FW_LOADER_USER_HELPER_FALLBACK ~!GRKERNSEC_PROC ~!IDE ~!SYSFS_DEPRECATED
173 - ~!SYSFS_DEPRECATED_V2"
174 -
175 - use acl && CONFIG_CHECK+=" ~TMPFS_POSIX_ACL"
176 - use seccomp && CONFIG_CHECK+=" ~SECCOMP ~SECCOMP_FILTER"
177 - kernel_is -lt 3 7 && CONFIG_CHECK+=" ~HOTPLUG"
178 - kernel_is -lt 4 7 && CONFIG_CHECK+=" ~DEVPTS_MULTIPLE_INSTANCES"
179 - kernel_is -ge 4 10 && CONFIG_CHECK+=" ~CGROUP_BPF"
180 -
181 - if linux_config_exists; then
182 - local uevent_helper_path=$(linux_chkconfig_string UEVENT_HELPER_PATH)
183 - if [[ -n ${uevent_helper_path} ]] && [[ ${uevent_helper_path} != '""' ]]; then
184 - ewarn "It's recommended to set an empty value to the following kernel config option:"
185 - ewarn "CONFIG_UEVENT_HELPER_PATH=${uevent_helper_path}"
186 - fi
187 - if linux_chkconfig_present X86; then
188 - CONFIG_CHECK+=" ~DMIID"
189 - fi
190 - fi
191 -
192 - if kernel_is -lt ${MINKV//./ }; then
193 - ewarn "Kernel version at least ${MINKV} required"
194 - fi
195 -
196 - check_extra_config
197 - fi
198 -}
199 -
200 -pkg_setup() {
201 - :
202 -}
203 -
204 -src_unpack() {
205 - default
206 - [[ ${PV} != 9999 ]] || git-r3_src_unpack
207 -}
208 -
209 -src_prepare() {
210 - # Do NOT add patches here
211 - local PATCHES=()
212 -
213 - [[ -d "${WORKDIR}"/patches ]] && PATCHES+=( "${WORKDIR}"/patches )
214 -
215 - # Add local patches here
216 - PATCHES+=(
217 - )
218 -
219 - if ! use vanilla; then
220 - PATCHES+=(
221 - "${FILESDIR}/gentoo-Dont-enable-audit-by-default.patch"
222 - "${FILESDIR}/gentoo-systemd-user-pam.patch"
223 - "${FILESDIR}/gentoo-generator-path-r1.patch"
224 - )
225 - fi
226 -
227 - default
228 -}
229 -
230 -src_configure() {
231 - # Prevent conflicts with i686 cross toolchain, bug 559726
232 - tc-export AR CC NM OBJCOPY RANLIB
233 -
234 - python_setup
235 -
236 - multilib-minimal_src_configure
237 -}
238 -
239 -meson_use() {
240 - usex "$1" true false
241 -}
242 -
243 -meson_multilib() {
244 - if multilib_is_native_abi; then
245 - echo true
246 - else
247 - echo false
248 - fi
249 -}
250 -
251 -meson_multilib_native_use() {
252 - if multilib_is_native_abi && use "$1"; then
253 - echo true
254 - else
255 - echo false
256 - fi
257 -}
258 -
259 -multilib_src_configure() {
260 - local myconf=(
261 - --localstatedir="${EPREFIX}/var"
262 - -Dsupport-url="https://gentoo.org/support/"
263 - -Dpamlibdir="$(getpam_mod_dir)"
264 - # avoid bash-completion dep
265 - -Dbashcompletiondir="$(get_bashcompdir)"
266 - # make sure we get /bin:/sbin in PATH
267 - -Dsplit-usr=$(usex split-usr true false)
268 - -Dsplit-bin=true
269 - -Drootprefix="$(usex split-usr "${EPREFIX:-/}" "${EPREFIX}/usr")"
270 - -Drootlibdir="${EPREFIX}/usr/$(get_libdir)"
271 - -Dsysvinit-path=
272 - -Dsysvrcnd-path=
273 - # Avoid infinite exec recursion, bug 642724
274 - -Dtelinit-path="${EPREFIX}/lib/sysvinit/telinit"
275 - # no deps
276 - -Dima=true
277 - -Ddefault-hierarchy=$(usex cgroup-hybrid hybrid unified)
278 - # Optional components/dependencies
279 - -Dacl=$(meson_multilib_native_use acl)
280 - -Dapparmor=$(meson_multilib_native_use apparmor)
281 - -Daudit=$(meson_multilib_native_use audit)
282 - -Dlibcryptsetup=$(meson_multilib_native_use cryptsetup)
283 - -Dlibcurl=$(meson_multilib_native_use curl)
284 - -Ddns-over-tls=$(meson_multilib_native_use dns-over-tls)
285 - -Delfutils=$(meson_multilib_native_use elfutils)
286 - -Dgcrypt=$(meson_use gcrypt)
287 - -Dgnu-efi=$(meson_multilib_native_use gnuefi)
288 - -Defi-libdir="${ESYSROOT}/usr/$(get_libdir)"
289 - -Dmicrohttpd=$(meson_multilib_native_use http)
290 - -Didn=$(meson_multilib_native_use idn)
291 - -Dimportd=$(meson_multilib_native_use importd)
292 - -Dbzip2=$(meson_multilib_native_use importd)
293 - -Dzlib=$(meson_multilib_native_use importd)
294 - -Dkmod=$(meson_multilib_native_use kmod)
295 - -Dlz4=$(meson_use lz4)
296 - -Dxz=$(meson_use lzma)
297 - -Dlibiptc=$(meson_multilib_native_use nat)
298 - -Dpam=$(meson_use pam)
299 - -Dpcre2=$(meson_multilib_native_use pcre)
300 - -Dpolkit=$(meson_multilib_native_use policykit)
301 - -Dqrencode=$(meson_multilib_native_use qrcode)
302 - -Dseccomp=$(meson_multilib_native_use seccomp)
303 - -Dselinux=$(meson_multilib_native_use selinux)
304 - -Ddbus=$(meson_multilib_native_use test)
305 - -Dxkbcommon=$(meson_multilib_native_use xkb)
306 - -Dntp-servers="0.gentoo.pool.ntp.org 1.gentoo.pool.ntp.org 2.gentoo.pool.ntp.org 3.gentoo.pool.ntp.org"
307 - # Breaks screen, tmux, etc.
308 - -Ddefault-kill-user-processes=false
309 - -Dcreate-log-dirs=false
310 -
311 - # multilib options
312 - -Dbacklight=$(meson_multilib)
313 - -Dbinfmt=$(meson_multilib)
314 - -Dcoredump=$(meson_multilib)
315 - -Denvironment-d=$(meson_multilib)
316 - -Dfirstboot=$(meson_multilib)
317 - -Dhibernate=$(meson_multilib)
318 - -Dhostnamed=$(meson_multilib)
319 - -Dhwdb=$(meson_multilib)
320 - -Dldconfig=$(meson_multilib)
321 - -Dlocaled=$(meson_multilib)
322 - -Dman=$(meson_multilib)
323 - -Dnetworkd=$(meson_multilib)
324 - -Dquotacheck=$(meson_multilib)
325 - -Drandomseed=$(meson_multilib)
326 - -Drfkill=$(meson_multilib)
327 - -Dsysusers=$(meson_multilib)
328 - -Dtimedated=$(meson_multilib)
329 - -Dtimesyncd=$(meson_multilib)
330 - -Dtmpfiles=$(meson_multilib)
331 - -Dvconsole=$(meson_multilib)
332 -
333 - # static-libs
334 - -Dstatic-libsystemd=$(usex static-libs true false)
335 - -Dstatic-libudev=$(usex static-libs true false)
336 - )
337 -
338 - meson_src_configure "${myconf[@]}"
339 -}
340 -
341 -multilib_src_compile() {
342 - eninja
343 -}
344 -
345 -multilib_src_test() {
346 - unset DBUS_SESSION_BUS_ADDRESS XDG_RUNTIME_DIR
347 - meson_src_test
348 -}
349 -
350 -multilib_src_install() {
351 - DESTDIR="${D}" eninja install
352 -}
353 -
354 -multilib_src_install_all() {
355 - local rootprefix=$(usex split-usr '' /usr)
356 -
357 - # meson doesn't know about docdir
358 - mv "${ED}"/usr/share/doc/{systemd,${PF}} || die
359 -
360 - einstalldocs
361 - dodoc "${FILESDIR}"/nsswitch.conf
362 -
363 - if ! use resolvconf; then
364 - rm -f "${ED}${rootprefix}"/sbin/resolvconf || die
365 - fi
366 -
367 - if ! use sysv-utils; then
368 - rm "${ED}${rootprefix}"/sbin/{halt,init,poweroff,reboot,runlevel,shutdown,telinit} || die
369 - rm "${ED}"/usr/share/man/man1/init.1 || die
370 - rm "${ED}"/usr/share/man/man8/{halt,poweroff,reboot,runlevel,shutdown,telinit}.8 || die
371 - fi
372 -
373 - if ! use resolvconf && ! use sysv-utils; then
374 - rmdir "${ED}${rootprefix}"/sbin || die
375 - fi
376 -
377 - # Preserve empty dirs in /etc & /var, bug #437008
378 - keepdir /etc/{binfmt.d,modules-load.d,tmpfiles.d}
379 - keepdir /etc/kernel/install.d
380 - keepdir /etc/systemd/{network,system,user}
381 - keepdir /etc/udev/{hwdb.d,rules.d}
382 - keepdir "${rootprefix}"/lib/systemd/{system-sleep,system-shutdown}
383 - keepdir /usr/lib/{binfmt.d,modules-load.d}
384 - keepdir /usr/lib/systemd/user-generators
385 - keepdir /var/lib/systemd
386 - keepdir /var/log/journal
387 -
388 - # Symlink /etc/sysctl.conf for easy migration.
389 - dosym ../sysctl.conf /etc/sysctl.d/99-sysctl.conf
390 -
391 - rm -r "${ED}${rootprefix}"/lib/udev/hwdb.d || die
392 -
393 - if use split-usr; then
394 - # Avoid breaking boot/reboot
395 - dosym ../../../lib/systemd/systemd /usr/lib/systemd/systemd
396 - dosym ../../../lib/systemd/systemd-shutdown /usr/lib/systemd/systemd-shutdown
397 - fi
398 -
399 - gen_usr_ldscript -a systemd udev
400 -}
401 -
402 -migrate_locale() {
403 - local envd_locale_def="${EROOT}/etc/env.d/02locale"
404 - local envd_locale=( "${EROOT}"/etc/env.d/??locale )
405 - local locale_conf="${EROOT}/etc/locale.conf"
406 -
407 - if [[ ! -L ${locale_conf} && ! -e ${locale_conf} ]]; then
408 - # If locale.conf does not exist...
409 - if [[ -e ${envd_locale} ]]; then
410 - # ...either copy env.d/??locale if there's one
411 - ebegin "Moving ${envd_locale} to ${locale_conf}"
412 - mv "${envd_locale}" "${locale_conf}"
413 - eend ${?} || FAIL=1
414 - else
415 - # ...or create a dummy default
416 - ebegin "Creating ${locale_conf}"
417 - cat > "${locale_conf}" <<-EOF
418 - # This file has been created by the sys-apps/systemd ebuild.
419 - # See locale.conf(5) and localectl(1).
420 -
421 - # LANG=${LANG}
422 - EOF
423 - eend ${?} || FAIL=1
424 - fi
425 - fi
426 -
427 - if [[ ! -L ${envd_locale} ]]; then
428 - # now, if env.d/??locale is not a symlink (to locale.conf)...
429 - if [[ -e ${envd_locale} ]]; then
430 - # ...warn the user that he has duplicate locale settings
431 - ewarn
432 - ewarn "To ensure consistent behavior, you should replace ${envd_locale}"
433 - ewarn "with a symlink to ${locale_conf}. Please migrate your settings"
434 - ewarn "and create the symlink with the following command:"
435 - ewarn "ln -s -n -f ../locale.conf ${envd_locale}"
436 - ewarn
437 - else
438 - # ...or just create the symlink if there's nothing here
439 - ebegin "Creating ${envd_locale_def} -> ../locale.conf symlink"
440 - ln -n -s ../locale.conf "${envd_locale_def}"
441 - eend ${?} || FAIL=1
442 - fi
443 - fi
444 -}
445 -
446 -save_enabled_units() {
447 - ENABLED_UNITS=()
448 - type systemctl &>/dev/null || return
449 - for x; do
450 - if systemctl --quiet --root="${ROOT:-/}" is-enabled "${x}"; then
451 - ENABLED_UNITS+=( "${x}" )
452 - fi
453 - done
454 -}
455 -
456 -pkg_preinst() {
457 - save_enabled_units {machines,remote-{cryptsetup,fs}}.target getty@××××.service
458 -
459 - if ! use split-usr; then
460 - local dir
461 - for dir in bin sbin lib; do
462 - if [[ ! ${EROOT}/${dir} -ef ${EROOT}/usr/${dir} ]]; then
463 - eerror "\"${EROOT}/${dir}\" and \"${EROOT}/usr/${dir}\" are not merged."
464 - eerror "One of them should be a symbolic link to the other one."
465 - FAIL=1
466 - fi
467 - done
468 - if [[ ${FAIL} ]]; then
469 - eerror "Migration to system layout with merged directories must be performed before"
470 - eerror "rebuilding ${CATEGORY}/${PN} with USE=\"-split-usr\" to avoid run-time breakage."
471 - die "System layout with split directories still used"
472 - fi
473 - fi
474 -}
475 -
476 -pkg_postinst() {
477 - systemd_update_catalog
478 -
479 - # Keep this here in case the database format changes so it gets updated
480 - # when required. Despite that this file is owned by sys-apps/hwids.
481 - if has_version "sys-apps/hwids[udev]"; then
482 - udevadm hwdb --update --root="${EROOT}"
483 - fi
484 -
485 - udev_reload || FAIL=1
486 -
487 - # Bug 465468, make sure locales are respect, and ensure consistency
488 - # between OpenRC & systemd
489 - migrate_locale
490 -
491 - systemd_reenable systemd-networkd.service systemd-resolved.service
492 -
493 - if [[ ${ENABLED_UNITS[@]} ]]; then
494 - systemctl --root="${ROOT:-/}" enable "${ENABLED_UNITS[@]}"
495 - fi
496 -
497 - if [[ -z ${REPLACING_VERSIONS} ]]; then
498 - if type systemctl &>/dev/null; then
499 - systemctl --root="${ROOT:-/}" enable getty@.service remote-fs.target || FAIL=1
500 - fi
501 - elog "To enable a useful set of services, run the following:"
502 - elog " systemctl preset-all --preset-mode=enable-only"
503 - fi
504 -
505 - if [[ -L ${EROOT}/var/lib/systemd/timesync ]]; then
506 - rm "${EROOT}/var/lib/systemd/timesync"
507 - fi
508 -
509 - if [[ -z ${ROOT} && -d /run/systemd/system ]]; then
510 - ebegin "Reexecuting system manager"
511 - systemctl daemon-reexec
512 - eend $?
513 - fi
514 -
515 - if [[ ${FAIL} ]]; then
516 - eerror "One of the postinst commands failed. Please check the postinst output"
517 - eerror "for errors. You may need to clean up your system and/or try installing"
518 - eerror "systemd again."
519 - eerror
520 - fi
521 -}
522 -
523 -pkg_prerm() {
524 - # If removing systemd completely, remove the catalog database.
525 - if [[ ! ${REPLACED_BY_VERSION} ]]; then
526 - rm -f -v "${EROOT}"/var/lib/systemd/catalog/database
527 - fi
528 -}
529
530 diff --git a/sys-apps/systemd/systemd-244.3.ebuild b/sys-apps/systemd/systemd-244.3.ebuild
531 index 37223a9ddbb..ba080d56bae 100644
532 --- a/sys-apps/systemd/systemd-244.3.ebuild
533 +++ b/sys-apps/systemd/systemd-244.3.ebuild
534 @@ -16,7 +16,7 @@ else
535 MY_P=${MY_PN}-${MY_PV}
536 S=${WORKDIR}/${MY_P}
537 SRC_URI="https://github.com/systemd/${MY_PN}/archive/v${MY_PV}/${MY_P}.tar.gz"
538 - KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86"
539 + KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ia64 ~mips ~ppc ~ppc64 ~sparc x86"
540 fi
541
542 PYTHON_COMPAT=( python3_{6,7,8} )